ConflictHandler::ConflictingTransportAddress(3)

NAME
ConflictHandler::ConflictingTransportAddress -

SYNOPSIS

#include <iqueue.h>

  Public Member Functions
ConflictingTransportAddress (InetAddress na, tpport_t dtp, tpport_t ctp)
void setNext (ConflictingTransportAddress *nc)
const InetAddress & getNetworkAddress () const
tpport_t getDataTransportPort () const
tpport_t getControlTransportPort () const

  Public Attributes
InetAddress networkAddress
tpport_t dataTransportPort
tpport_t controlTransportPort
ConflictingTransportAddress * next
timeval lastPacketTime

Constructor & Destructor Documentation

  ConflictHandler::ConflictingTransportAddress::ConflictingTransportAddress (InetAddress na, tpport_t dtp, tpport_t ctp)

Member Function Documentation

  tpport_t ConflictHandler::ConflictingTransportAddress::getControlTransportPort () const [inline]

  tpport_t ConflictHandler::ConflictingTransportAddress::getDataTransportPort () const [inline]

  const InetAddress& ConflictHandler::ConflictingTransportAddress::getNetworkAddress () const [inline]

  void ConflictHandler::ConflictingTransportAddress::setNext (ConflictingTransportAddress * nc) [inline]

Member Data Documentation

  tpport_t ConflictHandler::ConflictingTransportAddress::controlTransportPort

  tpport_t ConflictHandler::ConflictingTransportAddress::dataTransportPort

  timeval ConflictHandler::ConflictingTransportAddress::lastPacketTime

  InetAddress ConflictHandler::ConflictingTransportAddress::networkAddress

  ConflictingTransportAddress* ConflictHandler::ConflictingTransportAddress::next

Author

Generated automatically by Doxygen for ccRTP from the source code.